Version 4.0.26.22 (latest)

### Field name suggestions for a model and view

`filters` is a string hash of values, with the key as the field name and the string value as the filter expression:

    {'users.age': '>=60'}

or

    {'users.age': '<30'}

or

    {'users.age': '=50'}

## Request

GET /models/{model_name}/views/{view_name}/fields/{field_name}/suggestions Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... model_name string Name of model view_name string Name of view field_name string Name of field to use for suggestions query HTTP Query Expand HTTP Query definition... term string Search term pattern (evaluated as as \`%term%\`) filters object Suggestion filters with field name keys and comparison expressions

## Response

### 200: Model view field suggestions

Datatype Description (object) [ModelFieldSuggestions](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ModelFieldSuggestions) suggestions string\[\] error string Error message from_cache boolean True if result came from the cache hit_limit boolean True if this was a hit limit used_calcite_materialization boolean True if calcite was used

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link